Customer Groups

The CustomerGroup Object

Properties

idstring

The Rutter generated unique ID of the customer group.

platform_idstringnullableOptional

The platform specific ID of the customer group.

namestringnullable

The name of the customer group.

created_atstring

The ISO 8601 timestamp that the customer group was created.

updated_atstring

The ISO 8601 timestamp that the customer group was last updated.

platform_dataobjectOptional

The raw platform data corresponding to the Rutter object.

Endpoints
GET
/customer_groups
GET
/customer_groups/:id

List Customer Groups

GEThttps://production.rutterapi.com/versioned/customer_groups

Request Parameters

    access_tokenstringqueryRequired

    The access token of the connection.

    cursorstringqueryOptional

    Used to paginate to the next batch of objects. Should be a copy of the next_cursor value from the previous response.

    limitintegerqueryOptional

    Used to limit the number of returned objects. Defaults to 50.

    expandarrayqueryOptional

    Include platform specific data (includes additional fields not provided by the Rutter object).

    One or more ofplatform_data.
    updated_at_maxintegerqueryOptional

    Used to filter objects with a updated_at value less than or equal to the supplied value. Should be a Unix time in milliseconds.

    updated_at_minintegerqueryOptional

    Used to filter objects with a updated_at value greater than or equal to the supplied value. Should be a Unix time in milliseconds.

    force_fetchenumqueryOptional

    Used to force a response even if the underlying connection has not finished its initial sync.

    One oftrue or false.

Response Body

200
Example Response Body
JSON
1
{
2
"customer_groups": [
3
{
4
"id": "00000000-0000-0000-0000-000000000000",
5
"platform_id": "12345678",
6
"name": "Customers who have purchased more than once",
7
"created_at": "2023-01-02T02:34:56.000Z",
8
"updated_at": "2023-01-02T02:34:56.000Z"
9
}
10
],
11
"next_cursor": "MTY3NDgzMTk0Ml82MDY4ZDI0ZC02NGRmLTRmN2EtYTM0Ny0zN2ZmNjY5MGVmMjU=",
12
"connection": {
13
"id": "00000000-0000-0000-0000-000000000000",
14
"orgId": "00000000-0000-0000-0000-000000000000",
15
"platform": "NETSUITE"
16
}
17
}

Fetch a Customer Group

GEThttps://production.rutterapi.com/versioned/customer_groups/:id

Request Parameters

    idstringpathRequired

    The Rutter generated unique ID of the object.

    access_tokenstringqueryRequired

    The access token of the connection.

    expandarrayqueryOptional

    Include platform specific data (includes additional fields not provided by the Rutter object).

    One or more ofplatform_data.
    force_fetchenumqueryOptional

    Used to force a response even if the underlying connection has not finished its initial sync.

    One oftrue or false.

Response Body

200
Example Response Body
JSON
1
{
2
"customer_group": {
3
"id": "00000000-0000-0000-0000-000000000000",
4
"platform_id": "12345678",
5
"name": "Customers who have purchased more than once",
6
"created_at": "2023-01-02T02:34:56.000Z",
7
"updated_at": "2023-01-02T02:34:56.000Z"
8
},
9
"connection": {
10
"id": "00000000-0000-0000-0000-000000000000",
11
"orgId": "00000000-0000-0000-0000-000000000000",
12
"platform": "NETSUITE"
13
}
14
}

Have questions?

Contact support for personalized guidance.

Contact support